
Partial Class Calculations
    Inherits System.Web.UI.Page

    Protected Sub btnCalculate_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnCalculate.Click

        ' ADDITION
        ' We declare two variables as decimal numbers for addition.
        Dim AddOneNumber As Decimal = 0D
        Dim AddTwoNumber As Decimal = 0D

        ' We try to convert the text in the textbox "txtAddOne" to a decimal with the use of TRYPARSE and if this
        ' operation succeed this value will be added to the "AddOneNumber" variable. If the conversion not is
        ' a success the "AddOneNumber" variable gets 0 as the value.

        Decimal.TryParse(txtAddOne.Text, AddOneNumber)

        ' We try to convert the text in the textbox "txtAddTwo" to a decimal with the use of TRYPARSE and if this
        ' operation succeed this value will be added to the "AddTwoNumber" variable. If the conversion not is
        ' a success the "AddTwoNumber" variable gets 0 as the value.

        Decimal.TryParse(txtAddTwo.Text, AddTwoNumber)

        ' We add "AddOneNumber" to "AddTwoNumber" and presents the result in "lblAddResult" label.

        lblAddResult.Text = Convert.ToString(AddOneNumber + AddTwoNumber)

        ' SUBTRACTION
        ' We declare two variables as decimal numbers for subtraction.
        Dim SubOneNumber As Decimal = 0D
        Dim SubTwoNumber As Decimal = 0D

        ' We try to convert the text in the textbox "txtSubOne" to a decimal with the use of TRYPARSE and if this
        ' operation succeed this value will be added to the "SubOneNumber" variable. If the conversion not is
        ' a success the "SubOneNumber" variable gets 0 as the value.

        Decimal.TryParse(txtSubOne.Text, SubOneNumber)

        ' We try to convert the text in the textbox "txtSubTwo" to a decimal with the use of TRYPARSE and if this
        ' operation succeed this value will be added to the "SubTwoNumber" variable. If the conversion not is
        ' a success the "SubTwoNumber" variable gets 0 as the value.

        Decimal.TryParse(txtSubTwo.Text, SubTwoNumber)

        ' We subtract "SubTwoNumber" from "SubOneNumber" and presents the result in "lblSubResult" label.

        lblSubResult.Text = Convert.ToString(SubOneNumber - SubTwoNumber)

        ' MULTIPLICATION
        ' We declare two variables as decimal numbers for multiplication.
        Dim MultOneNumber As Decimal = 0D
        Dim MultTwoNumber As Decimal = 0D

        ' We try to convert the text in the textbox "txtMultOne" to a decimal with the use of TRYPARSE and if this
        ' operation succeed this value will be added to the "MultOneNumber" variable. If the conversion not is
        ' a success the "MultOneNumber" variable gets 0 as the value.

        Decimal.TryParse(txtMultOne.Text, MultOneNumber)

        ' We try to convert the text in the textbox "txtMultTwo" to a decimal with the use of TRYPARSE and if this
        ' operation succeed this value will be added to the "MultTwoNumber" variable. If the conversion not is
        ' a success the "MultTwoNumber" variable gets 0 as the value.

        Decimal.TryParse(txtMultTwo.Text, MultTwoNumber)

        ' "MultOneNumber" is multiplicated with "MultTwoNumber" and the result is presented in the "lblMultResult" label.

        lblMultResult.Text = Convert.ToString(MultOneNumber * MultTwoNumber)

        ' DIVISION
        ' We declare two variables as decimal numbers for division.
        Dim DivOneNumber As Decimal = 0D
        Dim DivTwoNumber As Decimal = 0D

        ' We try to convert the text in the textbox "txtDivOne" to a decimal with the use of TRYPARSE and if this
        ' operation succeed this value will be added to the "DivOneNumber" variable. If the conversion not is
        ' a success the "DivOneNumber" variable gets 0 as the value.

        Decimal.TryParse(txtDivOne.Text, DivOneNumber)

        ' We try to convert the text in the textbox "txtDivTwo" to a decimal with the use of TRYPARSE and if this
        ' operation succeed this value will be added to the "DivTwoNumber" variable. If the conversion not is
        ' a success the "DivTwoNumber" variable gets 0 as the value.

        Decimal.TryParse(txtDivTwo.Text, DivTwoNumber)

        ' We divide "DivOneNumber" with "DivTwoNumber", if the calculation works we present the result in the
        ' "lblDivResult" label and if the calculation fails we present a errormessage in "lblError".

        Try
            lblDivResult.Text = Convert.ToString(DivOneNumber / DivTwoNumber)
        Catch ex As Exception
            lblError.Text = "There was an error: " & ex.Message
        End Try

        ' SUM
        ' We sum the result from all the calculations, if the calculation works we present the result in the
        ' "lblSumResult" label and if the calculation fails we present a errormessage in "lblError2".

        Try
            lblSumResult.Text = Convert.ToString((AddOneNumber + AddTwoNumber) + (SubOneNumber - SubTwoNumber) _
            + (MultOneNumber * MultTwoNumber) + (DivOneNumber / DivTwoNumber))
        Catch ex As Exception
            lblError2.Text = "There was an error: " & ex.Message
        End Try

    End Sub

    Protected Sub btnAddToChart_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnAddToChart.Click

        ' We declare two variables as Int32 numbers, decimal numbers are not allowed.

        Dim AddNumberOfUnits As Int32 = 0
        Dim UnitsInBasketResult As Int32 = 0

        ' We try to convert the text in the label "lblUnitsInBasket" to a Int32 with the use of TRYPARSE and if this
        ' operation succeed this value will be added to the "UnitsInBasketResult" variable. If the conversion not is
        ' a success the "UnitsInBasketResult" variable gets 0 as the value.

        Int32.TryParse(lblUnitsInBasket.Text, UnitsInBasketResult)

        ' We try to convert the text in the textbox "txtNumberOfUnits" to a Int32 with the use of TRYPARSE and if this
        ' operation succeed this value will be added to the "AddNumberOfUnits" variable. If the conversion not is
        ' a success the "AddNumberOfUnits" variable gets 0 as the value.

        Int32.TryParse(txtNumberOfUnits.Text, AddNumberOfUnits)

        ' We add the number in "AddNumberOfUnits" to the "UnitsInBasketResult" variable and then presents the number
        ' of units in the basket in the "lblUnitsInBasket" label.

        UnitsInBasketResult += AddNumberOfUnits
        lblUnitsInBasket.Text = Convert.ToString(UnitsInBasketResult)

    End Sub
End Class
