using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Calculations : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void btnCalculate_Click(object sender, EventArgs e)
    {
        // ADDITION
        // We declare two variables as decimal numbers for addition.
        decimal AddOneNumber = 0m;
        decimal AddTwoNumber = 0m;

        // We try to convert the text in the textbox "txtAddOne" to a decimal with the use of TRYPARSE and if this
        // operation succeed this value will be added to the "AddOneNumber" variable. If the conversion not is
        // a success the "AddOneNumber" variable gets 0 as the value.
        decimal.TryParse(txtAddOne.Text, out AddOneNumber);

        // We try to convert the text in the textbox "txtAddTwo" to a decimal with the use of TRYPARSE and if this
        // operation succeed this value will be added to the "AddTwoNumber" variable. If the conversion not is
        // a success the "AddTwoNumber" variable gets 0 as the value.
        decimal.TryParse(txtAddTwo.Text, out AddTwoNumber);

        // We add "AddOneNumber" to "AddTwoNumber" and presents the result in "lblAddResult" label.
        lblAddResult.Text = Convert.ToString(AddOneNumber + AddTwoNumber);

        // SUBTRACTION
        // We declare two variables as decimal numbers for subtraction.
        decimal SubOneNumber = 0m;
        decimal SubTwoNumber = 0m;

        // We try to convert the text in the textbox "txtSubOne" to a decimal with the use of TRYPARSE and if this
        // operation succeed this value will be added to the "SubOneNumber" variable. If the conversion not is
        // a success the "SubOneNumber" variable gets 0 as the value.
        decimal.TryParse(txtSubOne.Text, out SubOneNumber);

        // We try to convert the text in the textbox "txtSubTwo" to a decimal with the use of TRYPARSE and if this
        // operation succeed this value will be added to the "SubTwoNumber" variable. If the conversion not is
        // a success the "SubTwoNumber" variable gets 0 as the value.
        decimal.TryParse(txtSubTwo.Text, out SubTwoNumber);

        // We subtract "SubTwoNumber" from "SubOneNumber" and presents the result in "lblSubResult" label.
        lblSubResult.Text = Convert.ToString(SubOneNumber - SubTwoNumber);

        // MULTIPLICATION
        // We declare two variables as decimal numbers for multiplication.
        decimal MultOneNumber = 0m;
        decimal MultTwoNumber = 0m;

        // We try to convert the text in the textbox "txtMultOne" to a decimal with the use of TRYPARSE and if this
        // operation succeed this value will be added to the "MultOneNumber" variable. If the conversion not is
        // a success the "MultOneNumber" variable gets 0 as the value.
        decimal.TryParse(txtMultOne.Text, out MultOneNumber);

        // We try to convert the text in the textbox "txtMultTwo" to a decimal with the use of TRYPARSE and if this
        // operation succeed this value will be added to the "MultTwoNumber" variable. If the conversion not is
        // a success the "MultTwoNumber" variable gets 0 as the value.
        decimal.TryParse(txtMultTwo.Text, out MultTwoNumber);

        // "MultOneNumber" is multiplicated with "MultTwoNumber" and the result is presented in the "lblMultResult" label.
        lblMultResult.Text = Convert.ToString(MultOneNumber * MultTwoNumber);

        // DIVISION
        // We declare two variables as decimal numbers for division.
        decimal DivOneNumber = 0m;
        decimal DivTwoNumber = 0m;

        // We try to convert the text in the textbox "txtDivOne" to a decimal with the use of TRYPARSE and if this
        // operation succeed this value will be added to the "DivOneNumber" variable. If the conversion not is
        // a success the "DivOneNumber" variable gets 0 as the value.
        decimal.TryParse(txtDivOne.Text, out DivOneNumber);

        // We try to convert the text in the textbox "txtDivTwo" to a decimal with the use of TRYPARSE and if this
        // operation succeed this value will be added to the "DivTwoNumber" variable. If the conversion not is
        // a success the "DivTwoNumber" variable gets 0 as the value.
        decimal.TryParse(txtDivTwo.Text, out DivTwoNumber);

        // We divide "DivOneNumber" with "DivTwoNumber", if the calculation works we present the result in the
        // "lblDivResult" label and if the calculation fails we present a errormessage in "lblError".
        try
        {
            lblDivResult.Text = Convert.ToString(DivOneNumber / DivTwoNumber);
        }
        catch (Exception ex)
        {
            lblError.Text = "There was an error: " + ex.Message;
        }

        // SUM
        // We sum the result from all the calculations, if the calculation works we present the result in the
        // "lblSumResult" label and if the calculation fails we present a errormessage in "lblError2".
        try
        {
            lblSumResult.Text = Convert.ToString((AddOneNumber + AddTwoNumber) + (SubOneNumber - SubTwoNumber) + (MultOneNumber * MultTwoNumber) + (DivOneNumber / DivTwoNumber));
        }
        catch (Exception ex)
        {
            lblError2.Text = "There was an error: " + ex.Message;
        }
    }

    protected void btnAddToChart_Click(object sender, EventArgs e)
    {
        // We declare two variables as Int32 numbers, decimal numbers are not allowed.
        Int32 AddNumberOfUnits = default(Int32);
        Int32 UnitsInBasketResult = default(Int32);

        // We try to convert the text in the label "lblUnitsInBasket" to a Int32 with the use of TRYPARSE and if this
        // operation succeed this value will be added to the "UnitsInBasketResult" variable. If the conversion not is
        // a success the "UnitsInBasketResult" variable gets 0 as the value.
        Int32.TryParse(lblUnitsInBasket.Text, out UnitsInBasketResult);

        // We try to convert the text in the textbox "txtNumberOfUnits" to a Int32 with the use of TRYPARSE and if this
        // operation succeed this value will be added to the "AddNumberOfUnits" variable. If the conversion not is
        // a success the "AddNumberOfUnits" variable gets 0 as the value.
        Int32.TryParse(txtNumberOfUnits.Text, out AddNumberOfUnits);

        // We add the number in "AddNumberOfUnits" to the "UnitsInBasketResult" variable and then presents the number
        // of units in the basket in the "lblUnitsInBasket" label.
        UnitsInBasketResult += AddNumberOfUnits;
        lblUnitsInBasket.Text = Convert.ToString(UnitsInBasketResult);

    }
}
